Subject: AHbis comments

From: [email-masked]
Date: Mon, 16 Jun 2003 16:04:52 -0400

Here are a couple of transport related comments on
draft-ietf-ipsec-rfc2402bis-03.txt .  These have no
effect on the specified processing - they're mostly
about updating the explanation and references.

Section 3.3.3.1.1.1 describes the TOS field in the IP
Header as mutable (that's correct) and says:

       TOS -- This field is excluded because some routers are known to
   change the value of this field, even though the IP specification
   does not consider TOS to be a mutable header field.

That's no longer correct.  The TOS field has now been
replaced by a 6 bit DS field (contains a Diffserv
codepoint) plus a 2 bit ECN field, and both are defined
to be mutable.  RFC 2780 and RFC 3168 should be cited
as the basis for this, and possibly also RFC 2474.  The 
same 6 bit DS + 2 bit ECN structure applies to the IPv6
(Traffic) Class field (section 3.3.3.1.2.1), which
has always been mutable, as the same RFCs specify it.

Thanks,
--David

----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

---

From: Stephen Kent <[email-masked]>
Date: Wed, 25 Jun 2003 16:18:06 -0400

>has always been mutable, as the same RFCs specify it.

Thanks for the corrections.  We obviously didn't look closely at this 
part of the document when we edited the rest.  We will make the 
appropriate changes.

Steve